<script lang="ts">
	import Drawer, { Content, Header, Scrim, Subtitle, Title } from '@smui/drawer';
	import Schedule from './Schedule.svelte';
	import type { Schedule as Schedule_ } from './domain/ScheduleDomain';
	import Button, { Label, Icon } from '@smui/button';

	export let schedule: Schedule_ | undefined;

	export let open: boolean = false;

	export let onClickScheduleEvent: (location: string) => void | undefined;
</script>

<Drawer class="bottomDrawer" variant="modal" bind:open data-testid="schedule-aside">
	{#if open}
		<Header>
			<Title class="flex-title"
				>Schedule
				<Button
					class="float-right-action"
					role="link"
					href="https://scrts.de/socrates2024/index.html"
				>
					<Icon class="material-icons">open_in_new_icon</Icon>
					<Label>Open full schedule</Label>
				</Button>
			</Title>
		</Header>
		<Content>
			<div data-testid="schedule">
				{#if schedule}
					<Schedule bind:schedule {onClickScheduleEvent} />
				{/if}
			</div>
		</Content>
	{/if}
</Drawer>

<style lang="scss">
	:global(.float-right-action) {
		float: right;
		margin: 10px;
	}
</style>
